POSTeth_getTransactionByBlockNumberAndIndex

Returns the transaction information for the specified block number and transaction index.

Request Body
idintegerrequired
jsonrpcstringrequired
methodstringrequired
paramsoneOf[]required

Pass the following parameters as an array with the appropriate types.

  1. block number or block tag: Block number as hex string, or block tag such as "earliest", "latest", "pending".
  2. transaction index: The transaction index as a hex string.
params[0]string

Use one of block number or block tag to specify a block.

  • Block number: hex string (ex. "0x1")
  • Block tag: enum string (ex. "latest", "earliest", "pending")
    • earliest: The oldest available block on the chain.
    • finalized: A recently finalized block that can no longer be changed. Primarily used in proof-of-stake (PoS) blockchains.
    • safe: A recent block considered safe by the network (immune to reorgs).
    • latest: The most recent block on the chain (may be subject to reorgs).
    • pending: The next block to be mined, including pending transactions in the mempool.
params[1]string

Use one of block number or block tag to specify a block.

  • Block number: hex string (ex. "0x1")
  • Block tag: enum string (ex. "latest", "earliest", "pending")
    • earliest: The oldest available block on the chain.
    • finalized: A recently finalized block that can no longer be changed. Primarily used in proof-of-stake (PoS) blockchains.
    • safe: A recent block considered safe by the network (immune to reorgs).
    • latest: The most recent block on the chain (may be subject to reorgs).
    • pending: The next block to be mined, including pending transactions in the mempool.
Responses
blockHashstring

Hash of the block containing this transaction. Null for pending transactions

blockNumberstring

Block number containing this transaction (hex). Null for pending transactions

fromstring

Sender address of the transaction

gasstring

Gas limit set for the transaction (hex)

gasPricestring

Gas price (hex, in wei)

maxPriorityFeePerGasstring

Maximum priority fee per gas (EIP-1559, hex)

maxFeePerGasstring

Maximum fee per gas (EIP-1559, hex)

hashstring

Transaction hash

inputstring

Transaction input data (hex)

noncestring

Number of transactions sent by the sender prior to this one (hex)

tostring

Recipient address. Null for contract creation transactions

transactionIndexstring

Transaction position index within the block (hex). Null for pending transactions

valuestring

Amount of ETH transferred (hex, in wei)

typestring

Transaction type (0x0=Legacy, 0x1=EIP-2930, 0x2=EIP-1559)

addressstring

Contract address to be accessed

storageKeysstring[]

Storage keys to be accessed

chainIdstring

Chain ID of the network this transaction belongs to (hex)

vstring

ECDSA signature v value

rstring

ECDSA signature r value

sstring

ECDSA signature s value

X-API-KEY
RequestCU13
cURL
curl -X POST "https://arbitrum-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "id": 1,
  "jsonrpc": "2.0",
  "method": "eth_getTransactionByBlockNumberAndIndex",
  "params": [
    "0x1076B5A",
    "0x0"
  ]
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "blockHash": "0x59f63e3840e0f4a1659074c1a4021e881a268a52d31958688da1d66bfbf6d2ca",
    "blockNumber": "0x1076b5a",
    "from": "0xae2fc483527b8ef99eb5d9b44875f005ba1fae13",
    "gas": "0x2d6b9",
    "gasPrice": "0xb25ce488f",
    "maxPriorityFeePerGas": "0x0",
    "maxFeePerGas": "0xb25ce488f",
    "hash": "0xf3b9303a4149fed1a61438c737264d7d2ca9c33a94c2174506b84192998d9000",
    "input": "0x5a2f17a6ebc9dd3285a0d49a485c2e6d9a0134fc5707d47a95ff9b",
    "nonce": "0x70934",
    "to": "0x6b75d8af000000e20b7a7ddf000ba900b4009a80",
    "transactionIndex": "0x0",
    "value": "0x11b7bad5",
    "type": "0x2",
    "accessList": [
      {
        "address": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
        "storageKeys": [
          "0x12231cd4c753cb5530a43a74c45106c24765e6f81dc8927d4f4be7e53315d5a8",
          "0xae2b03699e4c0a0df0d8fda1e23931ec61addf4b43f27bbf0032f998d9d327c5"
        ]
      },
      {
        "address": "0xa6ebc9dd3285a0d49a485c2e6d9a0134fc5707d4",
        "storageKeys": [
          "0x0000000000000000000000000000000000000000000000000000000000000006",
          "0x0000000000000000000000000000000000000000000000000000000000000007",
          "0x0000000000000000000000000000000000000000000000000000000000000009",
          "0x000000000000000000000000000000000000000000000000000000000000000a",
          "0x000000000000000000000000000000000000000000000000000000000000000c",
          "0x0000000000000000000000000000000000000000000000000000000000000008"
        ]
      },
      {
        "address": "0x2680961ba5f113d55e2b412701732da13bb42a11",
        "storageKeys": [
          "0x0000000000000000000000000000000000000000000000000000000000000010",
          "0x0ae5bc8a4cd96bdb8f9b7f69d654287bfb6d0e9babce74e79c552b054dca2254",
          "0xebb137c40e65d8055f7de06af99f99871d2f30fca8f82278c470ceed130ee48f",
          "0x69c6fb2c184647f028ae0f0da5e6cb3e57cf1e1704e92b75d5c93d7690832ef2",
          "0x0000000000000000000000000000000000000000000000000000000000000011",
          "0x5b07b4616e979c247a9ea22cc5aa9007ab779de1a0152b002690105a64c3052b",
          "0x699cf97972fa99b01ba01fdf5fd459644663c0582d960c4bda3936ef6d1f25bf",
          "0x000000000000000000000000000000000000000000000000000000000000000b",
          "0x000000000000000000000000000000000000000000000000000000000000000d",
          "0xb39e9ba92c3c47c76d4f70e3bc9c3270ab78d2592718d377c8f5433a34d3470a",
          "0x3fd59a5ac09fa0b80d9bd9c8d2e28ee4a6b62d0942f28eb8a9d01d35aabb1d61",
          "0x0000000000000000000000000000000000000000000000000000000000000012",
          "0xc7d07bc7b4b06c606d8bd09d68b5b57a8ae0ff2e1ce65b1f30b9a2e225f724fe",
          "0x0000000000000000000000000000000000000000000000000000000000000005",
          "0x0000000000000000000000000000000000000000000000000000000000000006",
          "0x000000000000000000000000000000000000000000000000000000000000000c",
          "0xdab1effe970e90ce1e3c191e4588741c0605cac2617996daad79eada3d9f5e40",
          "0x000000000000000000000000000000000000000000000000000000000000000e",
          "0x4e195366bb42075d59d4f2807bdaf03e5435edde6d946f677ac5cada5642c529",
          "0x0000000000000000000000000000000000000000000000000000000000000014"
        ]
      }
    ],
    "chainId": "0x1",
    "v": "0x0",
    "r": "0xedb4d30e030012361075034e35993749f86abe097bfdfa5067e7233c5f1f585b",
    "s": "0x26d0db35fcd39cffa14f637e604d367dfdeeaab7e7021f13abcce11dba7e593d"
  }
}